---
page_title: Get VAN
product: API Reference
page_source: https://juspay.io/in/docs/api-reference/docs/virtual-account--ecollect/get-van
openapi: https://juspay.io/in/docs/api/swagger?document=https%3A%2F%2Fjuspay.io%2Fin%2Fdocs%2Fapi-reference%2Fdocs%2Fvirtual-account--ecollect%2Fget-van
llms_txt: https://juspay.io/in/docs/llms.txt
product_llms_txt: https://juspay.io/in/docs/api-reference/llms.txt
---

## API Version: default


# Get VAN



This API will fetch account details for a given virtual account reference.## Endpoints:
- Sandbox: https://sandbox.juspay.in/customers/:customer_id/virtual-accounts/:virtual_account_reference

- Production: https://api.juspay.in/customers/:customer_id/virtual-accounts/:virtual_account_reference

## Request Type: 
GET

## Content-Type: 
application/json

## Authorization:

#### Basic Auth:
Consists of two parts.

* Username: API Key obtained from Juspay dashboard
* Password: Empty string

Example:- Basic MUQ2QUxxxxxxxxxxxxU5QTIxQzNFNTQwNkFDMEZCOg==
- Value: MUQ2QUZEQzhFQTY0OUU5QTIxQzNFNTQwNkFDMEZCOg==
- Tags: required, Base64 Encoded username:password
## Headers:

#### x-routing-id:
We recommend passing the customer_id as the x-routing-id. If the customer is checking out as a guest, you can pass an alternative ID that helps track the payment session lifecycle. For example, this could be an Order ID or Cart ID.

> **Warning**
> This ID is associated with the customer. It plays a key role in ensuring consistency and maintaining connections across different systems. If you fail to pass the same x-routing-id for the same customer in all related API calls, it could lead to issues with API functionality. Therefore, it’s crucial that you use the same x-routing-id for all requests tied to the same customer.


- Value: customer_1122
- Tags: String, Required
## Sample Code Snippets:
### Code Snippets:

#### Request Code Snippet:

```request
curl --location 'https://sandbox.juspay.in/customers/:customer_id/virtual-accounts/:virtual_account_reference' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'x-routing-id: customer_1122'\
--header 'Authorization: Basic RjMx*******Q0I0NjMyOg=='\
--header 'x-merchantid: merchant_id'

```

### Sample Request and Response:

#### Response:
```json
{
    "status": "ENABLED",
    "virtual_account": "ABCD400314648212",
    "last_updated": "2024-01-03T08:57:12.31589749Z",
    "virtual_account_reference": "test1",
    "ifsc": "UTIB0CCH274",
    "metadata": "{\"name\":\"Hitesh\", \"city\": \"Jaipur\"}",
    "type": "ACCOUNT_IFSC",
    "date_created": "2024-01-03T08:57:12.31589749Z"
}

```

## Path Parameters:

#### customer_id:
Customer ID provided by Juspay or object reference ID given by merchant while customer creation.
- Tags: String, Mandatory

#### virtual_account_reference:
Unique ID that the merchant uses to represent the virtual account.
- Tags: String, Mandatory
## API Responses:
### 200:

#### status:
- Tags: String

#### virtual_account:
- Tags: String

#### virtual_account_reference:
- Tags: String

#### customer_id:
- Tags: String

#### ifsc:
- Tags: String

#### type:
- Tags: String

#### date_created:
- Tags: String

#### last_updated:
- Tags: String

#### metadata:
- Tags: String
### 400:

#### status:
- Tags: String

#### error_code:
- Tags: String

#### error_message:
- Tags: String


---

## See Also

- [Create VAN](https://juspay.io/in/docs/api-reference/docs/virtual-account--ecollect/create-van)
- [List VAN](https://juspay.io/in/docs/api-reference/docs/virtual-account--ecollect/list-van)
